/**
 * Description: 入口文件
 */

// 输出对象
export default class Yjlib {
	constructor(config) {
		this.yjlib = {};
		return this;
	}
	init() {
		const files = require.context("./", true, /\.js$/);
		files.keys().forEach(key => {
			if (key.indexOf('index') === -1) {
				key.substring(key.lastIndexOf("/") + 1, key.lastIndexOf("."));
				Object.assign(this.baize, files(key));
			}
		});

		// 运行代码
		if (window && typeof window !== "undefined") {
			if (!window.yj) {
				window.yj = this.yjlib;
			} else {
				// 全局字段被占用
				throw new Error("yj 被占用，请修改尝试");
			}
		}
		return this.yjlib;
	}
}
